Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 514942 - An assertion in FindRef.xs fails
Summary: An assertion in FindRef.xs fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Devel-FindRef
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: debugperl
Blocks: 512726
TreeView+ depends on / blocked
 
Reported: 2009-07-31 15:51 UTC by Stepan Kasal
Modified: 2009-12-27 11:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-27 11:32:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 48357 None None None Never

Description Stepan Kasal 2009-07-31 15:51:41 UTC
Description:

Assertion ((((shplep)->sv_flags & (0x00004000|0x00008000)) ==
0x00008000) && (((svtype)((shplep)->sv_flags & 0xff)) == SVt_PVGV ||
((svtype)((shplep)->sv_flags & 0xff)) == SVt_PVLV)) failed: file
"FindRef.xs", line 212 at
/usr/lib64/perl5/vendor_perl/5.10.0/ppc64-linux-thread-multi/Devel/FindRef.pm
line 196.

This message was observed when running the test suite of Test::Refcount.

Reported upstream (see the external bug link) and the prompt answer was that Devel::FindRef nay not be used in combination with -DDEBUGGING

Consequently, I'm reopening bug #156113; let's verify then that this bug disappeared.

Comment 1 Bug Zapper 2009-11-16 11:12:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Nicolas Chauvet (kwizart) 2009-12-27 11:32:55 UTC
A rebuild of the same version of the package showed:
http://koji.fedoraproject.org/koji/buildinfo?buildID=148659
--------------------------------------------------
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00use.t ....... ok
t/01count.t ..... ok
t/02one.t ....... ok
t/03weak.t ...... ok
t/04reftypes.t .. ok
t/99pod.t ....... ok
All tests successful.
Files=6, Tests=21,  1 wallclock secs ( 0.02 usr  0.02 sys +  0.16 cusr  0.04 csys =  0.24 CPU)
Result: PASS
+ exit 0
--------------------------------------------------

So it seems that a rebuild of perl was needed, closing to NOTABUG because the bug was of perl with DEBUG and not related to this package.


Note You need to log in before you can comment on or make changes to this bug.